MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
LTIReferenceCountedObject Class Reference

LTIReferenceCountedObject is a base class for implementing reference counting. More...

`#include <lti_referenceCountedObject.h>`

Inheritance diagram for LTIReferenceCountedObject:
[legend]

## Public Member Functions
virtual void | retain (void) const
| increment reference counter More...
virtual void | release (void) const
| decrement the reference counter and delete the object when the counter is zero More...

## Protected Member Functions
| LTIReferenceCountedObject (void)
virtual | ~LTIReferenceCountedObject (void)

## Detailed Description

Call retain() when keeping a pointer to the object and call release() when the object is no longer needed.

Derived classes will need to supply a static create() function to allocates a new object. The newly created object will have a reference count of 1. Constructors and destructors should be protected so users must go through the create/retain/release functions.

Definition at line 33 of file lti_referenceCountedObject.h.

## Constructor & Destructor Documentation

LTIReferenceCountedObject::LTIReferenceCountedObject | ( | void | ) |  |
| protected

virtual LTIReferenceCountedObject::~LTIReferenceCountedObject | ( | void | ) |  |
| protected virtual

## Member Function Documentation

virtual void LTIReferenceCountedObject::release | ( | void | ) |  | const
| virtual

Examples:
  DecodeJP2ToBBB.cpp, DecodeJP2ToJPG.cpp, DecodeJP2ToMemory.cpp, DecodeMrSIDToRaw.cpp, DecodeMrSIDToTIFF.cpp, DerivedImageFilter.cpp, DerivedImageWriter.cpp, ErrorHandling.cpp, GeoScene.cpp, ImageInfo.cpp, InterruptDelegate.cpp, MetadataDump.cpp, Pipeline.cpp, ProgressDelegate.cpp, and SceneBuffer.cpp.

virtual void LTIReferenceCountedObject::retain | ( | void | ) |  | const
| virtual

The documentation for this class was generated from the following file:

- lti_referenceCountedObject.h

LizardTech